{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.openproject.enabled .Values.clientIntents.enabled }}
---
apiVersion: {{ .Values.clientIntents.apiVersion | quote }}
kind: "ClientIntents"
metadata:
  name: "{{ include "common.names.fullname" . }}-openproject-web"
  namespace: {{ .Values.apps.openproject.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  service:
    name: "openproject-web"
  calls:
    {{- if .Values.apps.memcached.enabled }}
    - name: {{ printf "%s.%s" "memcached" (coalesce .Values.apps.memcached.namespace .Release.Namespace) | quote }}
    {{- end }}
    {{- if .Values.apps.postgresql.enabled }}
    - name: {{ printf "%s.%s" "postgresql" (coalesce .Values.apps.postgresql.namespace .Release.Namespace) | quote }}
    {{- end }}
    - type: "internet"
      internet:
        domains:
          - {{ printf "%s.%s" .Values.global.hosts.nextcloud .Values.global.domain | quote }}
          - {{ printf "%s.%s" .Values.global.hosts.keycloak .Values.global.domain | quote }}
          - {{ printf "%s.%s" .Values.global.hosts.minioApi .Values.global.domain | quote }}
...
{{- end }}
